
<!--
// Library zusammengestellt von Karl Maij 
//
// Einige Pfade müssen noch angepasst werden
// Bitte Dokumentation beachten
   var urlstring   = self.location.href;
   
   var win_nc      = "web_site/css/win_nc.css";
   var win_ie      = "web_site/css/win_ie.css";
   var mac_nc      = "web_site/css/mac_nc.css";
   var mac_ie      = "web_site/css/mac_ie.css";
   var wechsel;
   var original;
   var anf;
   var schl;
   var datum;
   var jetzt;
   var hoehe;
   var breite;
// Öffnet auf 4er Browsern das Druckenfenser
   function drucken(){
      if(navigator.AppVersion <=4){
         alert("Ihr Browser unterstützt das Drucken nicht direkt. Bitte benutzen Sie zum Drucken Ihre Buttonleiste.");
      }else{
         window.print();
       //Optionale Verzögerung und back auf vorherige Seite 
       //(Wenn extra auf eine formatierte Seite zum Drucken gelandet) 
       //setTimeout("history.go(-1)",1000);
      }   
   }
// Funktionen für Datum und Uhrzeit
function dat(txt){
   var heute = new Date();
   var jahr  = heute.getYear();
   var monat = heute.getMonth();
   var tag   = heute.getDate();
   var wtag   = heute.getDay();
   var std   = heute.getHours();
   var min   = heute.getMinutes();
   var sek   = heute.getSeconds();
   var tarr  = new Array();
   tarr = ['Sonntag','Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag'];
   var marr  = new Array();
   marr = ['Januar','Februar','März','April','Mai','Juni','Juli','August','September','Oktober','November','Dezember'];   
   if(txt == 0){
      document.write(" "+tag+"."+monat+"."+jahr);
   }
   if(txt == 1){
      document.write(" "+std+":"+min+":"+sek);
   }
   if(txt == 2){
      document.write(tag+"."+monat+"."+jahr+" "+std+":"+min+":"+sek);
   }
   if(txt == 3){
      document.write(tarr[wtag]+" "+tag+". "+marr[monat]+" "+jahr);
   }
   if(txt == 4){
      document.write(" "+std+"Uhr "+min+"Minuten "+sek+"Sekunden");
   }
   if(txt == 5){
      document.write(tarr[wtag]+" "+tag+". "+marr[monat]+" "+jahr+" - "+std+"Uhr "+min+"Min "+sek+"Sek");
   }
}
// Bildwechsel Function
   var a, Bild
   function bwechsel(a,Bild){
      document.images[a].src = Bild;
   }
// Function zum Schliessen eines Fensters
   function schliessen(name) {
     newwin.self.close();
   }
// Öffnet ein neues Fenster - Grösse anpassen
   function oeffnen(breite,hoehe,url){
      newwin = window.open("","","location=no,toolbar=no,directiones=no,status=no,scrollbars=yes,resize=0,menubar=no,width="+breite+",height="+hoehe+"");
      newwin.location.href = url;
   }
// Öffnet ein neues Fenster und druckt die geladene datei - Grösse anpassen
   function druckversion(breite,hoehe,url){
      var suche
      suche = url.search(/index.html/) 
      if (suche != -1){
         print()
      }else{
         newwin = window.open("","","location=no,toolbar=no,directiones=no,status=no,scrollbars=yes,resize=0,menubar=no,width="+breite+",height="+hoehe+"");
         newwin.location.href = url + 'l';
      } 
      
      
      //alert (url+'l')
      //if bool == false{
      //   newwin.location.href = url + 'l';
      //}else{
      //   newwin.location.href = url
      //}
   }
// Browserweiche und die dazugeörigen Pfade zur CSS-Datei
   if(navigator.appVersion >="3"){ 
      if(navigator.appName == "Netscape"){
         setcss();
      }
      if((navigator.appName.indexOf("Explorer") >=0) && (navigator.appVersion >="4")){
         setcss();      
      }
   } 
   function setcss(){
      var pfad;
      var format;
      var ebene;
      var level = 0;  
      var re;
      ebene = urlstring.split("/");
      re='file'
      
      if((urlstring.search(re) != -1)){
         //code für edit auf festplatte ohne webserver
         //D:\Projekte\Websites\xenu.ch\humor\index.html
         //xenu.ch ist domain root
         for (i in ebene){level++;} 
         if(level == 8){ebene = "";}
         if(level == 9){ebene = "../";}
         if(level == 10){ebene = "../../";}
         if(level == 11){ebene = "../../../";}
         if(level == 12){ebene = "../../../../";}
         if(level == 13){ebene = "../../../../../";}
         if(level == 14){ebene = "../../../../../../";}
         if(navigator.appVersion.indexOf ("Mac") >= 0){
            if(navigator.appName.indexOf ("Explorer") >=0){
               format = ebene+mac_ie;
            }else{
               format = ebene+mac_nc;
            }

         }
         if(navigator.appVersion.indexOf ("Win") >= 0){
            if(navigator.appName.indexOf ("Explorer") >=0){
               format = ebene+win_ie;
            }else{
               format = ebene+win_nc;
            }
         }else{
            pfad = ""; 
         }

      }else{
         //Vierter Slash ab hauptebene = Ab http://www.domain.com/ 
         for (i in ebene){level++;} 
         if(level == 4){ebene = "";}
         if(level == 5){ebene = "../";}
         if(level == 6){ebene = "../../";}
         if(level == 7){ebene = "../../../";}
         if(level == 8){ebene = "../../../../";}
         if(level == 9){ebene = "../../../../../";}
         if(level == 10){ebene = "../../../../../../";}
         if(navigator.appVersion.indexOf ("Mac") >= 0){
            if(navigator.appName.indexOf ("Explorer") >=0){
               format = ebene+mac_ie;
            }else{
               format = ebene+mac_nc;
            }
         }

         if(navigator.appVersion.indexOf ("Win") >= 0){
            if(navigator.appName.indexOf ("Explorer") >=0){
               format = ebene+win_ie;
            }else{
               format = ebene+win_nc;
            }
         }else{
            pfad = ""; 
         }
      }      
      pfad = "<link rel=stylesheet type='text/css' href="+format+">";
      document.write(pfad);
      //alert(pfad);
   }
// NC Bug (CSS nach Fenstergrössenänderung nicht angezeigt) fixen
   if ((navigator.appName == 'Netscape') && (parseInt(navigator.appVersion) >= 4)) {
       parent.window.onresize = laden;
   }
   function laden(){
       self.location.reload();
   }
// Doppelclick in Seite um zum Top zu gelangen
   function dblclick(){
      window.scrollTo(0,0);
   }
   if(document.layers){
      document.captureEvents(Event.ONDBLCLICK);
   }
   document.ondblclick = dblclick;
function info(){
   frage = confirm('Möchten Sie auf die Such-Seite mit\nErklärungen zur Suche wechseln?');
         if(frage){
            self.location.href = "http://www.sitedesign.ch/extern/playhouse/webtools/suche.htm";
         }
}

function statusein(text){
   window.status = text;
}
function statusaus(Bild){
   window.status="";
}
function info(){
   frage = confirm('Möchten Sie auf die Such-Seite mit\nErklärungen zur Suche wechseln?');
   if(frage){
      self.location.href = "http://www.sitedesign.ch/extern/playhouse/webtools/suche.htm";
   }
}
// Ende
//-->
  